<?php
session_start(); 


include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include "../phpconfig/slugfy.php";
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas

// ANTIGO titulo_pt

$cnae = mysql_real_escape_string($_POST['titulop']);

$n5 = mysql_real_escape_string($_POST['titulopb']);

// ANTIGO texto_pt

$a1 = mysql_real_escape_string($_POST['aa1']);
$a2 = mysql_real_escape_string($_POST['aa2']);
$a3 = mysql_real_escape_string($_POST['aa3']);
$b1 = mysql_real_escape_string($_POST['bb1']);
$b2 = mysql_real_escape_string($_POST['bb2']);
$b3 = mysql_real_escape_string($_POST['bb3']);
$c1 = mysql_real_escape_string($_POST['cc1']);
$c2 = mysql_real_escape_string($_POST['cc2']);
$c3 = mysql_real_escape_string($_POST['cc3']);

$tituloa1 = mysql_real_escape_string($_POST['tituloa1']);
$tituloa2 = mysql_real_escape_string($_POST['tituloa2']);
$tituloa3 = mysql_real_escape_string($_POST['tituloa3']);

$titulob1 = mysql_real_escape_string($_POST['titulob1']);
$titulob2 = mysql_real_escape_string($_POST['titulob2']);
$titulob3 = mysql_real_escape_string($_POST['titulob3']);

$tituloc1 = mysql_real_escape_string($_POST['tituloc1']);
$tituloc2 = mysql_real_escape_string($_POST['tituloc2']);
$tituloc3 = mysql_real_escape_string($_POST['tituloc3']);

$a1_2 = mysql_real_escape_string($_POST['a1_2']);
$a2_2 = mysql_real_escape_string($_POST['a2_2']);
$a3_2 = mysql_real_escape_string($_POST['a3_2']);

$b1_2 = mysql_real_escape_string($_POST['b1_2']);
$b2_2 = mysql_real_escape_string($_POST['b2_2']);
$b3_2 = mysql_real_escape_string($_POST['b3_2']);


$c1_2 = mysql_real_escape_string($_POST['c1_2']);
$c2_2 = mysql_real_escape_string($_POST['c2_2']);
$c3_2 = mysql_real_escape_string($_POST['c3_2']);

$titulo_a1_2 = mysql_real_escape_string($_POST['titulo_a1_2']);
$titulo_a2_2 = mysql_real_escape_string($_POST['titulo_a2_2']);
$titulo_a3_2 = mysql_real_escape_string($_POST['titulo_a3_2']);

$titulo_b1_2 = mysql_real_escape_string($_POST['titulo_b1_2']);
$titulo_b2_2 = mysql_real_escape_string($_POST['titulo_b2_2']);
$titulo_b3_2 = mysql_real_escape_string($_POST['titulo_b3_2']);


$titulo_c1_2 = mysql_real_escape_string($_POST['titulo_c1_2']);
$titulo_c2_2 = mysql_real_escape_string($_POST['titulo_c2_2']);
$titulo_c3_2 = mysql_real_escape_string($_POST['titulo_c3_2']);

$linha_titulo_a15 = mysql_real_escape_string($_POST['linha_titulo_a15']);

$linha_a15_1 = mysql_real_escape_string($_POST['linha_a15_1']);
$linha_a15_2 = mysql_real_escape_string($_POST['linha_a15_2']);
$linha_a15_3 = mysql_real_escape_string($_POST['linha_a15_3']);
$linha_a15_4 = mysql_real_escape_string($_POST['linha_a15_4']);
$linha_a15_5 = mysql_real_escape_string($_POST['linha_a15_5']);
$linha_a15_6 = mysql_real_escape_string($_POST['linha_a15_6']);
$linha_a15_7 = mysql_real_escape_string($_POST['linha_a15_7']);
$linha_a15_8 = mysql_real_escape_string($_POST['linha_a15_8']);
$linha_a15_9 = mysql_real_escape_string($_POST['linha_a15_9']);
$linha_a15_10 = mysql_real_escape_string($_POST['linha_a15_10']);

$linha_titulo_b15 = mysql_real_escape_string($_POST['linha_titulo_b15']);
$linha_b15_1 = mysql_real_escape_string($_POST['linha_b15_1']);
$linha_b15_2 = mysql_real_escape_string($_POST['linha_b15_2']);
$linha_b15_3 = mysql_real_escape_string($_POST['linha_b15_3']);
$linha_b15_4 = mysql_real_escape_string($_POST['linha_b15_4']);
$linha_b15_5 = mysql_real_escape_string($_POST['linha_b15_5']);
$linha_b15_6 = mysql_real_escape_string($_POST['linha_b15_6']);
$linha_b15_7 = mysql_real_escape_string($_POST['linha_b15_7']);
$linha_b15_8 = mysql_real_escape_string($_POST['linha_b15_8']);
$linha_b15_9 = mysql_real_escape_string($_POST['linha_b15_9']);
$linha_b15_10 = mysql_real_escape_string($_POST['linha_b15_10']);


$linha_titulo_c15 = mysql_real_escape_string($_POST['linha_titulo_c15']);
$linha_c15_1 = mysql_real_escape_string($_POST['linha_c15_1']);
$linha_c15_2 = mysql_real_escape_string($_POST['linha_c15_2']);
$linha_c15_3 = mysql_real_escape_string($_POST['linha_c15_3']);
$linha_c15_4 = mysql_real_escape_string($_POST['linha_c15_4']);
$linha_c15_5 = mysql_real_escape_string($_POST['linha_c15_5']);
$linha_c15_6 = mysql_real_escape_string($_POST['linha_c15_6']);
$linha_c15_7 = mysql_real_escape_string($_POST['linha_c15_7']);
$linha_c15_8 = mysql_real_escape_string($_POST['linha_c15_8']);
$linha_c15_9 = mysql_real_escape_string($_POST['linha_c15_9']);
$linha_c15_10 = mysql_real_escape_string($_POST['linha_c15_10']);

// serve para ativar o bairro ou a cidade

if(isset($_POST['ativo'])) 
{
	$ativo = 1;
}else{
	$ativo = 0;
}

if(isset($_POST['destaque'])) 
{
	$destaque = 1;
}else{
	$destaque = 0;
}

// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

$id_cidade = ($_POST['cidades']);

// ANTIGO texto_pt

$nivel_5_1 = str_replace('../../assets/uploads/noticias/', 'images/', $nivel_5_1);
$nivel_5_2 = str_replace('../../assets/uploads/noticias/', 'images/', $nivel_5_2);

    $data_cad      =troca_data($_POST['data']);
        $slug       = slugfyURL($_POST['slug']); 
$img = $_FILES['imagem'];

// ANTIGO titulo_pt


$slug = trim($slug);
if(strlen($slug)==0) { $slug=slugfyURL($cnae); }
$id = $_POST['id'];

$img = $_FILES['imagem'];


$uploadDir = sti('up')."noticias/";

$uploadDir  = $_SERVER['DOCUMENT_ROOT'] . $uploadDir;


$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir . $name ;


	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);

		// Resize image (options: exact, portrait (pela lagura), landscape(pela altura), auto, crop)
		$resizeObj -> resizeImage(800, 476, 'portrait');
		$resizeObj -> saveImage($uploadDir.'full-'.$name, 80);
		$resizeObj -> resizeImage(588, 350, 'crop');
		$resizeObj -> saveImage($uploadDir.$name, 80);
		
		
		
	
// ALTEARAR NOME DO BANCO



		mysql_query("UPDATE atividade_nivel_5 SET imagem='$name' WHERE id='$id'") or die(mysql_error());


	}
}



// ALTEARAR NOME DO BANCO



mysql_query("UPDATE atividade_nivel_5 SET  ativo='$ativo',


cnae='$cnae', n5='$n5',
nivel_5_1='$nivel_5_1',


tituloa1='$tituloa1' ,
tituloa2='$tituloa2' ,
tituloa3='$tituloa3' ,
titulob1='$titulob1' ,
titulob2='$titulob2' ,
titulob3='$titulob3' ,
tituloc1='$tituloc1' ,
tituloc2='$tituloc2' ,
tituloc3='$tituloc3' ,
titulo_a1_2='$titulo_a1_2' ,
titulo_a2_2='$titulo_a2_2' ,
titulo_a3_2='$titulo_a3_2' ,
titulo_b1_2='$titulo_b1_2' ,
titulo_b2_2='$titulo_b2_2' ,
titulo_b3_2='$titulo_b3_2' ,
titulo_c1_2='$titulo_c1_2' ,
titulo_c2_2='$titulo_c2_2' ,
titulo_c3_2='$titulo_c3_2' ,
linha_titulo_a15='$linha_titulo_a15' ,
linha_a15_1='$linha_a15_1' ,
linha_a15_2='$linha_a15_2' ,
linha_a15_3='$linha_a15_3' ,
linha_a15_4='$linha_a15_4' ,
linha_a15_5='$linha_a15_5' ,
linha_a15_6='$linha_a15_6' ,
linha_a15_7='$linha_a15_7' ,
linha_a15_8='$linha_a15_8' ,
linha_a15_9='$linha_a15_9' ,
linha_a15_10='$linha_a15_10' ,
linha_titulo_b15='$linha_titulo_b15' ,
linha_b15_1='$linha_b15_1' ,
linha_b15_2='$linha_b15_2' ,
linha_b15_3='$linha_b15_3' ,
linha_b15_4='$linha_b15_4' ,
linha_b15_5='$linha_b15_5' ,
linha_b15_6='$linha_b15_6' ,
linha_b15_7='$linha_b15_7' ,
linha_b15_8='$linha_b15_8' ,
linha_b15_9='$linha_b15_9' ,
linha_b15_10='$linha_b15_10' ,
linha_titulo_c15='$linha_titulo_c15' ,
linha_c15_1='$linha_c15_1' ,
linha_c15_2='$linha_c15_2' ,
linha_c15_3='$linha_c15_3' ,
linha_c15_4='$linha_c15_4' ,
linha_c15_5='$linha_c15_5' ,
linha_c15_6='$linha_c15_6' ,
linha_c15_7='$linha_c15_7' ,
linha_c15_8='$linha_c15_8' ,
linha_c15_9='$linha_c15_9' ,
linha_c15_10='$linha_c15_10' ,
a1_2='$a1_2' ,
a2_2='$a2_2' ,
a3_2='$a3_2' ,
b1_2='$b1_2' ,
b2_2='$b2_2' ,
b3_2='$b3_2' ,
c1_2='$c1_2' ,
c2_2='$c2_2' ,
c3_2='$c3_2' ,
a1='$a1' ,
a2='$a2' ,
a3='$a3' ,
b1='$b1' ,
b2='$b2' ,
b3='$b3' ,
c1='$c1' ,
c3='$c3' ,
c2='$c2'  WHERE id='$id'", $con) or die(mysql_error());


  
header("location:edit.php?id=$id");